package com.bcxin.risk.activity.dto.data;

import com.bcxin.risk.common.domain.Region;
import lombok.Data;

import java.util.List;

/**
 * @author hzp
 * 最低报价 省
 */
@Data
public class QuotationMinProvinceDTO {

    /**
     * 省代码
     */
    private String regionCode;

    /**
     * 省名称
     */
    private String regionName;

    /**
     * 最低报价
     */
    private String minQuote;

    /**
     * 市级报价
     */
    private List<QuotationMinDTO> city;

    public QuotationMinProvinceDTO(){

    }

    public QuotationMinProvinceDTO(Region region,List<QuotationMinDTO> cityList){
        this.city=cityList;
        this.regionCode=region.getOid().toString();
        this.regionName=region.getProvince();
    }


}
